unit dallocator_system;

{$MODE FPC}
{$MODESWITCH DEFAULTPARAMETERS}
{$MODESWITCH OUT}
{$MODESWITCH RESULT}

interface

type
TAllocatorSystem = object
public
  procedure Init; inline;
  procedure Done; inline;
  function GetMem(Size: SizeUInt): Pointer; inline;
  procedure FreeMem(P: Pointer); inline;
end;

implementation

procedure TAllocatorSystem.Init;
begin
end;

procedure TAllocatorSystem.Done;
begin
end;

function TAllocatorSystem.GetMem(Size: SizeUInt): Pointer;
begin
  Exit(System.GetMem(Size));
end;

procedure TAllocatorSystem.FreeMem(P: Pointer);
begin
  System.FreeMem(P);
end;

end.
